@charset "win1251";

wide {
  position: absolute; width: auto !important; 
}

body {
	background-color: white;
}

p {
    margin: 0;
    padding: 0;
    clear: both;
	line-height: 0.9;
}
/* для подсветки активной строки в расписании */
.tt-row {
  text-align: center;
}  
.tt-row-warning, .tt-row-warning > [class^="tt-row-content"]  {
  text-align: center;
  background-color: #FF8080;
}  
.tt-row-dow { /* колонка дня недели */
  background-color: #fabf8f;	
}
.tt-row-dow > p {
	  font-weight: bold;
}

.tt-row-dow>p>span {
	  color: #0000ff;
	  font-weight: bold;
}

.tt-row-time {
	background-color: #fde9d9;
	font-weight: bold;
	line-height: 0.9;
}
.tt-row-content-gr {
	background-color: white;
}
.tt-row-content-sgr1 {
	background-color: #e9fbfd;
}
.tt-row-content-sgr2 {
	background-color: #fce9fd;
}
.tt-row-content-br1 {
	background-color: #e3fde0;
}
.tt-row-content-br2 {
	background-color: #f9f8c9;
}
.tt-row-content-br3 {
	background-color: #e7e5fd;
}
.tt-row:hover .tt-row-time {
  color: navy;
  background: #faf37a;
	border-top: 1px solid navy;
	border-left: 1px solid navy;
	border-bottom: 1px solid navy;
  transition: 0.3s;
}
.tt-row:hover .tt-row-content-gr, .tt-row:hover .tt-row-content-sgr1, .tt-row:hover .tt-row-content-sgr2,
.tt-row:hover .tt-row-content-br1, .tt-row:hover .tt-row-content-br2, .tt-row:hover .tt-row-content-br3
{
  background: #fbf599;
  transition: 0.3s;
}
.tt-row:hover .tt-row-content-gr, .tt-row:hover .tt-row-content-sgr2, .tt-row:hover .tt-row-content-br3 {
	border-top: 1px solid navy;
	border-right: 1px solid navy;
	border-bottom: 1px solid navy;
  transition: 0.3s;
}
.tt-row:hover .tt-row-content-sgr1, .tt-row:hover .tt-row-content-br1, .tt-row:hover .tt-row-content-br2 {
	border-top: 1px solid navy;
	border-bottom: 1px solid navy;
  transition: 0.3s;
}

/* --------------------- слой с выбором диапазона дат ------------------- */ 
#hovered {
    border: dotted 1px #afafaf;
}

#hovered label {
    display: block;
    padding: 0.5em 0.5em 0.5em 2em;
}

#hovered input {
    float: left;
    position: relative;
    top: 0.5em;
    left: 0.5em;
}

#hovered div {
    margin: 1em;
    border: solid 1px #afafaf;
    padding: 0;
    width: 300px;
}

#hovered p:hover {
    background-color: #efefef;
/*	text-decoration: underline; */
}

/* ----------------- checkbox for group --------------------- */
#cb-group {display: none;}
[for="cb-group"] {
  position: relative;
  display: block;
  width: 65px;
  height: 10px;
  padding: 10px;
  border-radius: 40px;
  line-height: 10px;
  color: #31b3ff;
  text-shadow: 1px 1px 0px rgba(255,255,255,.15);
  background: rgb(127, 127, 127); /* 71 71 71*/ 
/*
  box-shadow:
       0 1px 0 rgba(255,255,255,.2),
       inset 0 0 0 5px rgb(60, 60, 60),
       inset 0 6px 6px rgba(0,0,0,.5),
       inset 0 -6px 1px rgba(255,255,255,.2);
*/
  box-shadow:
       0 1px 0 rgba(255,255,255,.3),
       inset 0 0 0 4px rgb(75, 75, 75),
       inset 0 5px 5px rgba(0,0,0,.4),
       inset 0 -5px 1px rgba(255,255,255,.3);
  cursor: pointer;
}
[for="cb-group"]:before {
  content: "OFF";
  position: absolute;
  right: 9px;
  color: #000;
}
[for="cb-group"]:after {
  content: "";
  position: absolute;
  left: 5px; top: 5px;
  display: block;
  width: 40px;
  height: 20px;
  border-radius: 40px;
  background: #ccc linear-gradient(#fcfff4 0%, #dfe5d7 40%, #b3bead 100%);
  transition: .5s;
}
#cb-group:checked ~ [for="cb-group"]:after {
  left: 40px;
}
#cb-group:checked ~ [for="cb-group"] {
  background: rgb(65, 65, 65); /* 71 71 71*/ 
  transition: .5s;
}

/* ----------------- main table ------------------------------------ */


